TimeFrameApp (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.app
Class TimeFrameApp

    java.lang.Object
      com.bbn.openmap.app.OpenMap
          com.bbn.openmap.app.Main
              com.bbn.openmap.app.TimeFrameApp

    public class TimeFrameApp

extends Main

An application that demonstrates the use of temporal GUI widgets and infrastructure components. The OpenMapFrame contains a HotwashPanel, which itself contains slider panes for various components. The standard OpenMap MapPanel is in the center of the application. The TimePanel, for controlling the current time displayed, goes on the bottom, and the event panel showing a list of events goes to the west.

Field Summary

Fields inherited from class com.bbn.openmap.app.OpenMap
`mapPanel`

Constructor Summary
`TimeFrameApp()`
`TimeFrameApp(PropertyHandler propertyHandler)`

Method Summary
`protected void` | `configureMapPanel(PropertyHandler propertyHandler)` A method that lets you control what gets added to the application programmatically.
`static void` | `main(java.lang.String[] args)` The main OpenMap application.
`protected void` | `showInFrame()`

Methods inherited from class com.bbn.openmap.app.Main
`configurePropertyHandler, create, create, getLogger`

Methods inherited from class com.bbn.openmap.app.OpenMap
`getMapHandler, getMapPanel, setWindowListenerOnFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeFrameApp

    public TimeFrameApp()

### TimeFrameApp

    public TimeFrameApp(PropertyHandler propertyHandler)

Method Detail

### configureMapPanel

    protected void configureMapPanel(PropertyHandler propertyHandler)

  A method that lets you control what gets added to the application programmatically. These components are required for handling an OMEventHandler, which would be added to the MapHandler. If you wanted to use the standard OpenMap application, you could add these components to the MapHandler, instead.

  Overrides:
    `configureMapPanel` in class `Main`

### showInFrame

    protected void showInFrame()

  Overrides:
    `showInFrame` in class `OpenMap`

### main

    public static void main(java.lang.String[] args)

  The main OpenMap application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details